From 504d9da1fc72b1e8bab03cc31e7f873f6edaae7a Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH v3 6/9] Run coverage commands quietly

They are very chatty by default, but the output doesn't seem all that
useful for normal operation.
---
 src/Makefile.global.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index d4fed90405..9340d60de5 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -893,7 +893,7 @@ coverage: $(local_gcda_files:.gcda=.c.gcov)
 .PHONY: coverage-html
 coverage-html: coverage-html-stamp
 
-GENHTML_FLAGS = --legend
+GENHTML_FLAGS = -q --legend
 GENHTML_TITLE = PostgreSQL $(VERSION)
 
 coverage-html-stamp: lcov_base.info lcov_test.info
@@ -902,7 +902,7 @@ coverage-html-stamp: lcov_base.info lcov_test.info
 	touch $@
 
 LCOV += --gcov-tool $(GCOV)
-LCOVFLAGS = --no-external
+LCOVFLAGS = -q --no-external
 
 all_gcno_files = $(shell find . -name '*.gcno' -print)
 
-- 
2.14.1

